gsw_alpha {gsw} | R Documentation

## Thermal expansion coefficient with respect to Conservative Temperature

### Description

Thermal expansion coefficient with respect to Conservative Temperature, using the 75-term equation for specific volume.

### Usage

    gsw_alpha(SA, CT, p)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

thermal expansion coefficient with respect to Conservative Temperature [ 1/K ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_alpha.html

### See Also

Other things related to density: `gsw_CT_from_rho`, `gsw_CT_maxdensity`, `gsw_SA_from_rho`, `gsw_alpha_on_beta`, `gsw_alpha_wrt_t_exact`, `gsw_alpha_wrt_t_ice`, `gsw_beta_const_t_exact`, `gsw_beta`, `gsw_pot_rho_t_exact`, `gsw_rho_alpha_beta`, `gsw_rho_first_derivatives_wrt_enthalpy`, `gsw_rho_first_derivatives`, `gsw_rho_ice`, `gsw_rho_t_exact`, `gsw_rho`, `gsw_sigma0`, `gsw_sigma1`, `gsw_sigma2`, `gsw_sigma3`, `gsw_sigma4`, `gsw_specvol_alpha_beta`, `gsw_specvol_anom_standard`, `gsw_specvol_ice`, `gsw_specvol_t_exact`, `gsw_specvol`

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <- c(28.7856, 28.4329, 22.8103, 10.2600,  6.8863,  4.4036)
    p <-  c(     10,      50,     125,     250,     600,    1000)
    alpha <- gsw_alpha(SA,CT,p)
    expect_equal(alpha*1e3, c( 0.324464211877393, 0.322610094680523, 0.281335030247435,
                            0.173529986885424, 0.146898108553385, 0.130265123640082))

[Package gsw version 1.0-5 Index]